@import "../../../assets/styles/main.scss";

// My new esim section sidebar
.sideBarDrawerMain {
  height: 100%;
  .myNewEsimMainSection {
    display: flex;
    flex-flow: column;
    gap: 40px;
    height: 100%;
    @include lg {
      gap: 24px;
    }
    .myNewEsimHeading {
      padding: 40px;
      padding-bottom: 0px;
      @include lg {
        padding: 30px;
        padding-bottom: 0px;
      }
      h1 {
        font-size: 24px;
        @include inter700;
        color: getColorHex("black");
        line-height: 32px;
        @include lg {
          font-size: 22px;
        }
      }
    }
    .borderdiv {
      background: #d5d8dd;
      height: 1px;
      width: 100%;
    }
    .newEsimListMain {
      padding: 40px;
      padding-top: 0px;
      gap: 40px;
      display: flex;
      flex-flow: column;
      overflow-y: auto;
      padding: 0px 40px 30px;

      @include lg {
        padding: 0px 30px 30px;
        gap: 24px;
      }
      &::-webkit-scrollbar {
        width: 5px;
      }

      /* Track */
      &::-webkit-scrollbar-track {
        background: #f1f1f1;
      }

      /* Handle */
      &::-webkit-scrollbar-thumb {
        background: #c7c5c5;
      }

      /* Handle on hover */
      &::-webkit-scrollbar-thumb:hover {
        background: #a5a3a3;
      }
    }
    .newEsimDeatilsList {
      display: flex;
      flex-flow: column;
      gap: 15px;

      .newEsimDeatilBlock {
        border-radius: 10px;
        display: flex;
        border: 1px solid getColorHex("light_Gray");
        gap: 7px;
        align-items: center;
        padding: 15px;
        cursor: pointer;
        @include lg {
          padding: 10px;
        }
        &.activeEsim {
          border: 1px solid getColorHex("orange");
          background: #fff9f4;
        }

        .esim_icon_image {
          max-width: 40px;
          height: 40px;
          padding: 6.5px;
          border-radius: 10px;
          background: #f47500;
          display: flex;
          justify-content: center;
          align-items: center;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
        .newEsimDeatilText {
          h2 {
            font-size: 16px;
          }
          .detail {
            line-height: normal;
            label {
              color: getColorHex("charcoal");
              min-width: 93px;
              font-size: 14px;
            }
            span {
              color: getColorHex("orange");
              font-size: 14px;
            }
          }
        }
      }
      .purchaseNewEsim {
        border-radius: 10px;
        border: 1px solid getColorHex("white");
        background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
        padding: 20px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative;

        h1 {
          font-size: 20px;
          color: getColorHex("black");
          @include lg {
            font-size: 18px;
          }
        }
        .gotItNowButton {
          padding-top: 10px;
          button {
            min-width: 101px;
            border-width: 1px;
            font-size: 14px;
            padding: 7px 14px;
            border-radius: 10px;
            background-color: getColorHex("white");
            text-transform: capitalize !important;
            &:hover {
              background-color: getColorHex("orange");
            }
          }
        }
        .purchaseNewEsimImageMain {
          display: flex;
          align-items: center;
          gap: 28px;
          z-index: 9;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
          .purchaseNewEsimImage_regions {
            width: 34px;
            height: 37px;
            &:hover {
              cursor: pointer;
            }
          }
          .purchaseNewEsimImage {
            width: 87px;
            height: 71px;
            position: relative;
          }
        }
        .ImageVectore {
          position: absolute;
          right: -23px;
          width: 144px;
          height: 166px;
          top: 2px;
        }
      }
    }
    .newEsimSubmitButton {
      button {
        display: flex;
        gap: 10px;
        justify-content: center;
        align-items: center;
        color: #fff;
        background-color: getColorHex("orange");
        border: unset;
        border-radius: 35px;
        background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
        height: 44px;
        width: 164px;
        padding: 10px 30px;
        transition: 0.3s;
        @include inter700;
        border: none;

        &:disabled {
          opacity: 0.5;
        }
        img {
          width: 24px;
          height: 24px;
        }
        .arrowBack {
          display: block;
        }
        .arrowBackOrange {
          display: none;
        }
        &:hover:not(:disabled) {
          // Add :not(:disabled) to ensure hover effect doesn't apply when button is disabled
          background: getColorHex("white");
          border: 1px solid getColorHex("orange");
          @include transition-3s;
          p {
            color: getColorHex("orange");
          }
          .arrowBack {
            display: none;
          }
          .arrowBackOrange {
            display: block;
          }
        }
        &:disabled {
          background-color: #ccc; // Disabled background color
          cursor: not-allowed; // Change cursor to indicate button is disabled
        }
        p {
          font-size: 20px;
          color: white;
          @include inter700;
          text-transform: capitalize;
          @include lg {
            font-size: 18px;
          }
        }
      }
    }

    .getNewSimSection {
      background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
      border: 2px solid #ffffff;
      box-shadow: 0px 0px 9.8px 0px #d2d2d275;
      border-radius: 20px;
      padding: 12px 24px;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      position: relative;
      height: 100%;
      overflow: hidden;

      .newSimVector {
        position: absolute;
        bottom: 0;
        right: -40px;

        img {
          height: 100%;
          width: 100%;
        }
      }

      .newSimImage {
        width: 100px;
        height: 100%;

        @include lg {
          width: 90px;
        }

        img {
          height: 100%;
          width: 100%;
        }
      }

      p {
        font-size: 16px;
        line-height: 32px;
        @include inter500;
        text-align: center;
        color: #000000;

        @include lg {
          font-size: 14px;
          line-height: 30px;
        }
      }

      button {
        padding: 5px 15px !important;
        min-width: unset;
        background-color: white !important;
        border: 2px solid #f47500;
        @include vertical_align_center;

        @include lg {
          padding: 4px 13px !important;
        }

        span {
          width: fit-content !important;
          color: getColorHex("black") !important;
          font-size: 14px !important;
          line-height: 20px;
          text-transform: capitalize !important;
          @include inter700;

          @include lg {
            font-size: 12px;
            line-height: 18px;
          }
        }
      }
      button:hover {
        background-color: #f47500 !important;

        span {
          color: getColorHex("white") !important;
        }
      }
    }
  }
}
